{% extends '../base.html'%} {% block main %} {% load static %}

<style>
  textarea.form-control {
    height: 13rem;
  }
</style>
<div class="main-container position-relative">
  {% include "../components/quick_access.html" %}
  <div class="add-article">
    <form method="POST" enctype="multipart/form-data">
      {% csrf_token %}
      <h3 class="text-center">Ajouter un article</h3>
      <div class="add-article-staps">
        <span style="color: red" id="stap-1">Informations générales</span>
        <span style="display: none; color: red" id="stap-2">Images</span>
      </div>
      <section id="section-1" class="addDrone-sections" data-count-details="1">
        <h4 class="text-center">Informations sur l'article</h4>
        <div class="border shadow-sm rounded px-3 py-3 mb-4">
          <label for="type_annonce">Type d'article&nbsp;:</label>
          <select name="article_type" required id="article_type" class="form-control">
            {% for type in all_atyicle_types %}
            <option value="{{ type.id }}">{{ type.name }}</option>
            {% endfor %}
          </select>
        </div>
        <div class="border shadow-sm rounded px-3 py-3 mb-4">
          <label for="title">Titre de l'article&nbsp;:</label>
          <input autocomplete="off" type="text" name="title" class="text form-control" id="title" required="" label="Le titre de l'article" placeholder="Ex : Article ...."/>
        </div>
        <div class="border shadow-sm rounded px-3 py-3 mb-4">
          <label for="description">La description de l'article&nbsp;:</label>
          <textarea
            type="text"
            name="description"
            class="text form-control"
            id="description"
            required=""
            label="La description de l'article"
            placeholder="Ex : Article ...."
            rows="5"></textarea>
        </div>
        <div class="border shadow-sm rounded px-3 py-3 mb-4">
          <label id="l-description_2" for="description_2">Détails techniques&nbsp;:</label>
          <textarea
            type="text"
            name="description_2"
            class="text form-control"
            id="description_2"
            label="Détails techniques"
            placeholder="Ex : Article ...."
            rows="5"></textarea>
        </div>
        <div class="border shadow-sm rounded px-3 py-3 mb-4">
          <label id="p-price" for="price">Le prix de l'article&nbsp;:</label>
          <div
            class="d-flex gap-2 justify-content-center align-content-start">
            <input
              autocomplete="off"
              data-acception="only-numbers"
              type="text"
              name="price"
              class="text form-control"
              id="price"
              required=""
              label="Le prix de l'article"/>
            <span class="h-100 my-2  fs-1-rem">(€)</span>
          </div>
        </div>
        <div
          class="form-check border shadow-sm rounded px-3 py-3 my-2 d-flex justify-content-center align-content-center gap-2">
          <input
            id="article_reducted"
            autocomplete="off"
            class="form-check-input"
            type="checkbox"
            value="1"
            id="article_reducted"
          />
          <label
            class="form-check-label"
            id="article_reducted"
            name="article_reducted"
            for="article_reducted"
            >Oui, cet article est en promotion</label
          >
        </div>
        <div style="display: none" id="price_2" class="border shadow-sm rounded px-3 py-3 mb-4">
          <div>
            <label for="price_2">Le nouveau prix&nbsp;:</label>
            <div id="new_price">
              <input
                autocomplete="off"
                data-acception="only-numbers"
                type="text"
                name="price_2"
                class="text form-control"
                id="price_2_input"
                label="Le nouveau prix"
              />
              <span class="h-100 my-2 fs-1-rem">(€)</span>
            </div>
          </div>
          <div>
            <div class="p-facultative">
              <label for="price_2">Les dates de promotion&nbsp;:</label>
              <span>*10 jours par défaut, à partir d'aujourd'hui</span>
            </div>
            <div
              class="price-2 d-flex gap-2 justify-content-center align-content-start">
              <div class="text form-control">
                <label for="start_at">Commencera le</label>
                <input
                  autocomplete="off"
                  type="date"
                  name="start_at"
                  class="text form-control"
                  id="start_at"
                />
              </div>
              <div class="text form-control">
                <label for="end_at">Finira le</label>
                <input
                  autocomplete="off"
                  type="date"
                  name="end_at"
                  class="text form-control"
                  id="end_at"
                />
              </div>
            </div>
          </div>
        </div>
        <div
          class="form-check border shadow-sm rounded px-3 py-3 mb-4 d-flex justify-content-center align-content-center gap-2">
          <input
            autocomplete="off"
            class="form-check-input"
            value="true"
            name="refurbished"
            type="checkbox"
            id="refurbished"
          />
          <label
            class="form-check-label"
            id="refurbished-label"
            for="refurbished"
            >Article reconditionné</label
          >
        </div>
        <div
          class="form-check border shadow-sm rounded px-3 py-3 mb-4 d-flex justify-content-center align-content-center gap-2">
          <input
            autocomplete="off"
            class="form-check-input"
            value="true"
            name="occasion"
            type="checkbox"
            id="occasion"
          />
          <label class="form-check-label" id="occasion-label" for="occasion"
            >Article d'occasion</label
          >
        </div>
        <div
          class="form-check border shadow-sm rounded px-3 py-3 mb-4 d-flex justify-content-center align-content-center gap-2">
          <input
            autocomplete="off"
            class="form-check-input"
            value="true"
            name="rentable"
            type="checkbox"
            id="rentable"
            onclick="showHideRentableSection()"
          />
          <label class="form-check-label" id="rentable-label" for="rentable"
            >Drone de location</label
          >
        </div>

        <section
          id="rentable-section"
          style="display: none"
          class="border shadow-sm rounded px-3 py-3 mb-4">
          <p class="my-3 text-center">Spécifications de drones de location</p>
          <div class="p-facultative">
            <label for="rentable-daily-price"
              >Le montant de location par jour&nbsp;:</label
            >
          </div>
          <div
            class="d-flex g-2 justify-content-center align-content-start">
            <input
              autocomplete="off"
              data-acception="only-numbers"
              type="text"
              name="rentable-daily-price"
              class="text form-control"
              id="rentable-daily-price"
              label="Le montant de location par jour"
            />
            <span class="h-100 my-2 fs-1-rem">(€)</span>
          </div>
          <div>
            <label for="rentable_accessories">Accessoires&nbsp;:</label>
            <textarea
              type="text"
              name="rentable_accessories"
              class="text form-control"
              id="rentable_accessories"
              label="Accessoires du drone :"
              placeholder="Ex : Article ...."
              rows="5"
            ></textarea>
          </div>
        </section>


        <div class="border shadow-sm rounded px-3 py-3 mb-4">
          <div class="p-facultative">
            <label for="height">Quantité de l'article en stock&nbsp;:</label>
          </div>
          <div
            class="d-flex gap-2 justify-content-center align-content-center">
            <input autocomplete="off" type="number" name="quantity" value="1" class="text form-control" id="quantity" label="La hauteur de l'article">
          </div>
        </div>


        <div class="border shadow-sm rounded px-3 py-3 mb-4">
          <label for="compnay">La marque&nbsp;:</label>
          <div
            style="
              display: flex;
              gap: 10px;
              align-content: center;
              justify-items: center;
              align-items: center;
            "
          >
            <select name="compnay" required id="compnay" class="form-control">
              {% for compnay in all_companies %}
              <option value="{{compnay.id}}">{{compnay.name}}</option>
              {% endfor %}
            </select>
            <button
              onclick="handelModalEvents(this)"
              data-modal-trigger="add-compnay"
              type="button"
              title=" En ajouter"
              type="button"
              style="border: none; background-color: transparent"
              class="fa-sharp fa-solid fa-plus"
            ></button>
            <button
              onclick="refreshList()"
              title="Réfléchir la liste"
              type="button"
              style="border: none; background-color: transparent"
            >
              <i class="fa-regular fa-arrows-rotate"></i>
            </button>
          </div>
        </div>
        <div class="border shadow-sm rounded px-3 py-3 mb-4">
          <label for="resolution"
            >La résolution des images / vidéos&nbsp;:</label
          >
          <div
            style="
              display: flex;
              gap: 10px;
              align-content: center;
              justify-items: center;
              align-items: center;
            "
          >
            <select name="resolution" id="resolution" class="form-control">
              {% for resolution in all_resolution %}
              <option value="{{resolution.id}}">{{resolution.name}}</option>
              {% endfor %}
            </select>
          </div>
        </div>
        <!-- **************************************************** -->
        <div class="border shadow-sm rounded px-3 py-3 mb-4">
          <div class="p-facultative">
            <label for="weight">Le poids de l'article&nbsp;:</label>
          </div>
          <div
            style="
              display: flex;
              gap: 10px;
              align-content: flex-start;
              justify-items: center;
            "
          >
            <input
              autocomplete="off"
              data-acception="only-numbers"
              type="text"
              name="weight"
              class="text form-control"
              id="weight"
              label="Le poids de l'article"
            />
            <span style="height: 100%; margin: 0 0; font-size: 15px">(g)</span>
          </div>
        </div>
        <div class="border shadow-sm rounded px-3 py-3 mb-4">
          <div class="p-facultative">
            <label for="height">La hauteur de l'article&nbsp;:</label>
          </div>
          <div
            style="
              display: flex;
              gap: 10px;
              align-content: flex-start;
              justify-items: center;
            "
          >
            <input
              autocomplete="off"
              data-acception="only-numbers"
              type="text"
              name="height"
              class="text form-control"
              id="height"
              label="La hauteur de l'article"
            />
            <span style="height: 100%; margin: 0 0; font-size: 15px">(cm)</span>
          </div>
        </div>
        <div class="border shadow-sm rounded px-3 py-3 mb-4">
          <div class="p-facultative">
            <label for="width">La largeur de l'article&nbsp;:</label>
          </div>
          <div
            style="
              display: flex;
              gap: 10px;
              align-content: flex-start;
              justify-items: center;
            "
          >
            <input
              autocomplete="off"
              data-acception="only-numbers"
              type="text"
              name="width"
              class="text form-control"
              id="width"
              label="La largeur de l'article"
            />
            <span style="font-size: 15px">(cm)</span>
          </div>
        </div>
        <div class="border shadow-sm rounded px-3 py-3 mb-4">
          <div class="p-facultative">
            <label for="color">Le couleur de l'article&nbsp;:</label>
          </div>
          <select name="color" id="color" class="form-control colors">
            {% for anglish, france in colors.items %}
            <option value="{{france}}" data-color="{{ anglish }}">
              {{ france }}
            </option>
            {% endfor %}
            <script>
              const colors = document.querySelectorAll(".colors option");
              colors.forEach((color) => {
                color.style.backgroundColor = color.dataset.color;
              });
            </script>
          </select>
        </div>
        <!-- **************************************************** -->
        <div class="drones-details-only border shadow-sm rounded px-3 py-3 mb-4">
          <p class="my-3 text-center">Spécifications du drone</p>
          <div>
            <div class="p-facultative">
              <label for="speed">La vitesse&nbsp;:</label>
            </div>
            <div
              class="d-flex gap-2 justify-content-start align-items-center"
            >
              <input
                autocomplete="off"
                type="text"
                name="speed"
                class="text form-control"
                id="speed"
                label="La vitesse"
                placeholder="Ex : 15"
              />
              <span style="font-size: 15px">(km/h)</span>
            </div>
          </div>
          <div>
            <div class="p-facultative">
              <label for="bat_cap_h">La capacité de la batterie&nbsp;:</label>
            </div>
            <div
              class="d-flex gap-2 justify-content-start align-items-center"

            >
              <input
                autocomplete="off"
                type="text"
                name="bat_cap_h"
                class="text form-control"
                id="bat_cap_h"
                label="La capacité de la batterie"
                placeholder="Ex : 15"
              />
              <span style="font-size: 15px">(mAh)</span>
            </div>
          </div>
          <div>
            <div class="p-facultative">
              <label for="flight_time">Le temps de vol &nbsp;:</label>
            </div>
            <div
              class="d-flex gap-2 justify-content-start align-items-center"
            >
              <input
                autocomplete="off"
                type="text"
                name="flight_time"
                class="text form-control"
                id="flight_time"
                label="Le temps de vol "
                placeholder="Ex : 15"
              />
              <span style="font-size: 15px">(minutes)</span>
            </div>
          </div>
          <div>
            <div class="p-facultative">
              <label for="flight_range">La portée de vol &nbsp;:</label>
            </div>
            <div
              class="d-flex gap-2 justify-content-start align-items-center">
              <input
                autocomplete="off"
                type="text"
                name="flight_range"
                class="text form-control"
                id="flight_range"
                label="La portée de vol"
                placeholder="Ex : 15"
              />
              <span style="font-size: 15px">(km)</span>
            </div>
          </div>
          <div>
            <div class="p-facultative">
              <label for="transmission_range"
                >La portée de transmission&nbsp;:</label
              >
            </div>
            <div
            class="d-flex gap-2 justify-content-start align-items-center"
            >
              <input
                autocomplete="off"
                type="text"
                name="transmission_range"
                class="text form-control"
                id="transmission_range"
                label="La portée de transmission"
                placeholder="Ex : 15"
              />
              <span style="font-size: 15px">(km)</span>
            </div>
          </div>
          <!-- **************************************************** -->
        </div>

        <div class="iframe border shadow-sm rounded px-3 py-3 mb-4">
          <div class="p-facultative">
            <label>Ajouter des vidéos à votre article&nbsp;:</label>
            <span>*Facultative</span>
          </div>
          <div>
            <div class="border rounded px-3 py-3 mb-4">
              <p class="my-3 text-center">Vidéo 1</p>
              <div class="iframe-header">
                <label for="iframe-1-title">Titre de la vidéo</label>
                <input
                  autocomplete="off"
                  type="text"
                  name="iframe-1-title"
                  class="text form-control"
                  id="iframe-1-title"
                  label="Titre de vidéo"
                  placeholder="DJI ...."
                />
              </div>
              <div class="iframe-description">
                <label for="iframe-1-description">Description de la vidéo</label>
                <textarea
                  type="text"
                  name="iframe-1-description"
                  class="text form-control"
                  id="iframe-1-description"
                  label="Accessoires du drone :"
                  placeholder="Ex : Article ...."
                  rows="5"
                ></textarea>
              </div>
              <div class="iframe-description">
                <label for="iframe-1-link">Le lien de la vidéo</label>
                <input
                  autocomplete="off"
                  type="text"
                  name="iframe-1-link"
                  id="ifram"
                  class="text form-control"
                  id="iframe-1-link"
                  label="Le lien de vidéo"
                  placeholder="Ex : https://www.youtube.com/"
                />
              </div>
            </div>
          </div>
          <div class="border rounded px-3 py-5 mb-5">
            <p class="my-3 text-center">Vidéo 2</p>
            <div class="iframe-header">
              <label for="iframe-2-title">Titre de la vidéo</label>
              <input
                autocomplete="off"
                type="text"
                name="iframe-2-title"
                class="text form-control"
                id="iframe-2-title"
                label="Titre de vidéo"
                placeholder="DJI ...."
              />
            </div>
            <div class="iframe-description">
              <label for="iframe-2-description">Description de la vidéo</label>
              <textarea
              type="text"
              name="iframe-2-description"
              class="text form-control"
              id="iframe-2-description"
              label="Accessoires du drone :"
              placeholder="Ex : Article ...."
              rows="5"
            ></textarea>
            </div>
            <div class="iframe-link">
              <label for="iframe-2-link">Le lien de la vidéo</label>
              <input
                autocomplete="off"
                type="text"
                name="iframe-2-link"
                id="ifram"
                class="text form-control"
                id="iframe-2-link"
                label="Le lien de vidéo"
                placeholder="Ex : https://www.youtube.com/"
              />
            </div>
          </div>
        </div>
        <div class="border shadow-sm rounded px-3 py-3 mb-4">
          <div class="p-facultative">
            <label>Ajouter des sections à votre article&nbsp;:</label>
            <span>*Facultative</span>
          </div>
          <div>
            <div class="border rounded px-3 py-5 mb-5">
              <div class="iframe-header">
                <p class="text-center my-2">Section 1</p>
                <label for="image-section-1-title">Titre de la section</label>
                <input
                  autocomplete="off"
                  type="text"
                  name="image-section-1-title"
                  class="text form-control"
                  id="image-section-1-title"
                  label="Titre de vidéo"
                  placeholder="DJI ...."
                />
              </div>
              <div class="iframe-description">
                <label for="image-section-1-description"
                  >Description de la section</label
                >
                <textarea
                type="text"
                name="image-section-1-description"
                class="text form-control"
                id="image-section-1-description"
                label="Accessoires du drone :"
                placeholder="Ex : Article ...."
                rows="5"
              ></textarea>
              </div>
              <div>
                <p class="text-center">Images de l'article</p>
                <input
                  autocomplete="off"
                  data-output="image-container-image-section-1"
                  type="file"
                  name="image-section-1-images"
                  class="text form-control"
                  id="image-section-1-images-input"

                  accept="image/*"
                />
                <div
                  class="image-container"
                  id="image-container-image-section-1"
                  style="display: flex"
                ></div>
              </div>
            </div>
          </div>
          <div class="border rounded px-3 py-5 mb-5">
            <div>
              <div class="iframe-header">
                <p class="text-center ">Section 2</p>
                <label for="image-section-2-title">Titre de la section</label>
                <input
                autocomplete="off"
                type="text"
                name="image-section-2-title"
                class="text form-control"
                id="image-section-2-title"
                label="Titre de vidéo"
                placeholder="DJI ...."
              />
              </div>
              <div class="iframe-description">
                <label for="image-section-2-description"
                  >Description de section</label
                >
                <textarea
                type="text"
                name="image-section-2-description"
                class="text form-control"
                id="image-section-2-description"
                label="Accessoires du drone :"
                placeholder="Ex : Article ...."
                rows="5"
              ></textarea>
              </div>
              <div>
                <p class="text-center">Images de l'article</p>
                <input
                  autocomplete="off"
                  data-output="image-container-image-section-2"
                  type="file"
                  name="image-section-2-images"
                  class="text form-control"
                  id="image-section-2-images-input"
                  accept="image/*"
                />
                <div
                  class="image-container"
                  id="image-container-image-section-2"
                  style="display: flex"
                ></div>
              </div>
            </div>
          </div>
        </div>
        <div class="my-3 border shadow-sm rounded px-3 py-3 mb-4">
          <div class="p-facultative">
            <label for="tags"
              >Ajouter un ou plusieurs tags à votre article&nbsp;:</label
            >
            <span>*Facultative</span>
          </div>
          <span style="font-size: 10px">
            **Double clique sur le tag pour le supprimer.
          </span>
          <div
            class="select d-flex justify-content-center align-items-center gap-3"
          >
            <select
              class="form-select"
              id="tags"
              name="tags"
              aria-label="Default select example"
              multiple
            >
              {% for tag in all_tags %}
              <option
                ondblclick="deleteTag(this)"
                id="{{ tag.id }}"
                value="{{ tag.id }}"
              >
                #{{ tag.name }}
              </option>
              {% endfor %}
            </select>
            <button
              onclick="handelModalEvents(this)"
              data-modal-trigger="add-tag"
              type="button"
              class="normal-btn fa-solid fa-plus"
            ></button>
          </div>
        </div>
        <input
          autocomplete="off"
          id="inputsDetailsCounter"
          type="hidden"
          name="inputsDetailsCounter"
          value="0"
        />
      </section>

      <section id="section-2" class="addDrone-sections" style="display: none">
        <h4 class="text-center">Images de l'article</h4>
        <div>
          <p class="text-center">Image principale</p>
          <input autocomplete="off" type="file" name="main-image-input" class="text form-control" id="main-image-input" accept="image/*"/>
          <div class="image-container" id="main-image-container" style="display: none"></div>
        </div>
        <div>
          <p class="text-center">Autres images</p>
          <input autocomplete="off" type="file" name="form-images" class="text form-control" id="image-input" multiple accept="image/*"/>
          <div class="image-container" id="image-container" style="display: none"></div>
        </div>
      </section>
      <div>
        <div
          class="chang-page-btns"
          style="
            display: flex;
            gap: 2rem;
            justify-content: center;
            justify-self: center;
          "
        >
          <button type="button" id="goBack" disabled>
            <i class="fa-solid fa-arrow-left"></i>
          </button>
          <!-- <button type="button" id="addSection" onclick="createNewSection()">
            <i class="fa-solid fa-plus px-1"></i
            ><i class="fa-solid fa-image"></i>
          </button> -->
          <button type="button" id="addDetails" onclick="createNewDetails()">
            <i class="fa-solid fa-plus px-1"></i
            ><i class="px-1 fa-solid fa-circle-info"></i>
          </button>

          <button type="button" id="goNext">
            <i class="fa-solid fa-arrow-right"></i>
          </button>
          <button type="submit" id="addIt" style="display: none">
            <i class="fa-solid fa-check" style="color: green"></i>
          </button>
        </div>
      </div>
    </form>
  </div>

  <div class="modals">
    <div class="modal" data-modal="add-compnay">
      <article class="content-wrapper">
        <button type="button" class="close"></button>
        <header class="modal-header">
          <h2>Ajouter une nouvelle entreprise</h2>
        </header>
        <div class="content">
          <form>
            <div class="mb-3">
              <label for="name" class="form-label"
                >Le nom de l'entreprise</label
              >
              <input
                type="text"
                placeholder="Ex : Google"
                class="form-control"
                id="add-compnay-name"
                aria-describedby="nameHelper"
              />
            </div>
            <div class="mb-3">
              <label for="url" class="form-label"
                >Le lien vers le site officiel de l'entreprise</label
              >
              <input
                type="url"
                placeholder="Ex : https://google.com"
                class="form-control"
                id="add-compnay-url"
                aria-describedby="urlHelper"
              />
            </div>
            <div class="mb-3">
              <p
                id="add-compnay-errer"
                class="errer text-danger text-center"
              ></p>
            </div>
            <div
              class="mb-3"
              style="
                width: 100%;
                display: flex;
                justify-content: center;
                align-items: center;
                gap: 1rem;
              "
            >
              <button
                onclick="addCompany()"
                type="button"
                class="btn btn-outline-primary"
              >
                Ajouter
              </button>
            </div>
          </form>
        </div>
      </article>
    </div>
    <div class="modal" data-modal="add-tag">
      <article class="content-wrapper">
        <button type="button" class="close"></button>
        <header class="modal-header">
          <h2>Ajouter un nouveau tag</h2>
        </header>
        <div class="content">
          <form>
            <div
              class="mt-1 w-100 d-flex justify-content-center align-items-center gap-2 flex-column flex-lg-row"
            >
              <label for="name">Tag:</label>
              <input
                type="text"
                placeholder="Ex : Drone"
                class="form-control"
                id="add-tag-name"
              />
            </div>
            <div class="mb-3">
              <p id="add-tag-errer" class="errer text-danger text-center"></p>
            </div>
            <div
              class="mb-3"
              style="
                width: 100%;
                display: flex;
                justify-content: center;
                align-items: center;
                gap: 1rem;
              "
            >
              <button
                onclick="addTag()"
                type="button"
                class="btn btn-outline-primary"
              >
                Ajouter
              </button>
            </div>
          </form>
        </div>
      </article>
    </div>
  </div>
  <script src="{% static 'assets/js/new_article.js' %}"></script>
  <script>
    handelShowImagesInContainerSection1()
    handelShowImagesInContainerSection2()
    handelShowImagesInContainerMainImage()

    const articleType = document.querySelector("#article_type");
    const droneInputsDiv = document.querySelector(".drones-details-only");
    const pPrice = document.querySelector("#p-price");
    const checkboxPromo = document.querySelector("#checkbox-promo");
    const lDescription_2 = document.querySelector("#l-description_2");

    articleType.addEventListener("change", (e) => {
      if (["1", "2", "3", "7"].includes(e.target.value)) {
        droneInputsDiv.style.display = "block";
      } else {
        droneInputsDiv.style.display = "none";
      }
    });

    function showHideRentableSection() {
      const rentableSection = document.querySelector("#rentable-section");
      const rentable = document.querySelector("#rentable");
      if (rentable.checked) {
        rentableSection.style.display = "block";
      } else {
        rentableSection.style.display = "none";
      }
    }

    let startDate = new Date();
    let dd = String(startDate.getDate()).padStart(2, "0");
    let mm = String(startDate.getMonth() + 1).padStart(2, "0");
    let yyyy = startDate.getFullYear();

    startDate = yyyy + "-" + mm + "-" + dd;

    document.getElementById("start_at").value = startDate;
    let endDate = new Date();
    endDate.setDate(endDate.getDate() + 10);

    dd = String(endDate.getDate()).padStart(2, "0");
    mm = String(endDate.getMonth() + 1).padStart(2, "0");
    yyyy = endDate.getFullYear();

    endDate = yyyy + "-" + mm + "-" + dd;

    document.getElementById("end_at").value = endDate;

    const article_reducted = document.querySelector("#article_reducted");
    const price_2 = document.querySelector("#price_2");
    const price_2_input = document.querySelector("#price_2_input");
    article_reducted.addEventListener("change", () => {
      if (article_reducted.checked) {
        price_2.style.display = "block";
        price_2.setAttribute("data-acception", "only-numbers");
        price_2.setAttribute("required", "");
        price_2_input.classList.toggle("prices_input");
      } else {
        price_2.style.display = "none";
      }
    });

    const buttons = document.querySelectorAll(".trigger[data-modal-trigger]");

    for (let button of buttons) {
      modalEvent(button);
    }

    function modalEvent(button) {
      button.addEventListener("click", () => {
        const trigger = button.getAttribute("data-modal-trigger");
        const modal = document.querySelector(`[data-modal=${trigger}]`);

        const contentWrapper = modal.querySelector(".content-wrapper");
        const close = modal.querySelector(".close");

        close.addEventListener("click", () => modal.classList.remove("open"));
        modal.addEventListener("click", () => modal.classList.remove("open"));
        contentWrapper.addEventListener("click", (e) => e.stopPropagation());

        modal.classList.toggle("open");
      });
    }
  </script>
  <script>
    const urlParams = new URLSearchParams(window.location.search);
    const article_type = urlParams.get("article_type");
    if (article_type) {
      document.getElementById("article_type").value = article_type;
    }
  </script>
</div>
{% endblock main%}